### A free/open-source library for quantitative finance

Classes
ql/indexes/inflation/uscpi.hpp File Reference

US CPI index. More...

`#include <ql/indexes/inflationindex.hpp>`
`#include <ql/currencies/america.hpp>`
Include dependency graph for uscpi.hpp:

## Classes

class | USCPI
| US CPI index. More...
class | YYUSCPI
| Genuine year-on-year US CPI (i.e. not a ratio of US CPI) More...
class | YYUSCPIr
| Fake year-on-year US CPI (i.e. a ratio of US CPI) More...

## Detailed Description

US CPI index.